
FONT = GameFontNormal:GetFont();
PRINT_COLOUR = "|cffeebbbb"; -- Color used in chat window.
SPEC_ARCANE = 62;
SPEC_FIRE = 63;

SPELL_LIVING_BOMB_ID = 82885;
SPELL_LIVING_BOMB_TICK_ID = 44457
SPELL_NETHER_TEMPEST_ID = 114954;
SPELL_NETHER_TEMPEST_TICK_ID = 114923;
SPELL_FROST_BOMB_ID = 64627;
SPELL_FROST_BOMB_TICK_ID = 112948;

-- Rename to simply "data".
amtr = {};
--amtr.minMana = 80000;	-- defaults
amtr.maxMana = 105000;
amtr.mana = 0;
amtr.arcaneCharges = 0;
amtr.bombActive = false;
amtr.bombRemaining = 0;			-- Bomb time left
amtr.powerTalentRemaining = 0;	-- Talented buff time left.


-- Persistent config variables.
amtrConfig = {};
amtrConfig.fontSize = 32;
amtrConfig.minMana = 80;			-- mana bar cut-off. 0-100 = percentage, >100 = mana unit.
amtrConfig.debug = false;
amtrConfig.hideOutOfCombat = false;
amtrConfig.lockWindow = false;	-- -- Lock window frame position and size.

-- Quicker lookup for our spell names. Pointless since we can just use IDs instead?
spellInfoCached = {
	arcaneCharge = GetSpellInfo(36032),
	livingBomb = GetSpellInfo(SPELL_LIVING_BOMB_ID),
	netherTempest = GetSpellInfo(SPELL_NETHER_TEMPEST_ID),
	frostBomb = GetSpellInfo(SPELL_FROST_BOMB_ID),
	
	invocation = GetSpellInfo(114003),
	runeOfPower = GetSpellInfo(116011),
	incantersWard = GetSpellInfo(1463)
}

function amtr.updateModel()

	amtr.mana = UnitPower("player", SPELL_POWER_MANA);
	amtr.maxMana = UnitPowerMax("player");

	-- register event UNIT_AURA to listen for this one
	local buffName, rank, icon, count, debuffType, duration, expirationTime, caster = UnitAura("player", spellInfoCached.arcaneCharge, nil, "HARMFUL");
	--buffName, buffRank, buffTexture, buffApplications, school, duration, timeLeft, unitCaster, buffId, isStealable, buffId2 = UnitAura("player", spellInfoCached.arcaneCharge);
	if (buffName ~= nil) then
		amtr.arcaneCharges = count;
	else
		amtr.arcaneCharges = 0;
	end


	amtr.bombRemaining = 0;
	local duration, timeLeft, _, cd = bombTracker.getInfo();
	if (timeLeft ~= nil) then
		if (timeLeft < 0) then
			timeLeft = 0;
		end
		amtr.bombRemaining = timeLeft;
	end

	
	
	amtr.powerTalentRemaining = 0;
	local duration, timeLeft, _, cd = powerTalentTracker.getInfo();
	if (timeLeft ~= nil) then
		if (timeLeft < 0) then
			timeLeft = 0;
		end
		amtr.powerTalentRemaining = timeLeft;
	end

end


